### Method

# Json Node copy

#### Declaration [src]

    JsonNode*
    json_node_copy (
      JsonNode* node
    )

#### Description [src]

Copies `node`.

If the node contains complex data types, their reference counts are increased, regardless of whether the node is mutable or immutable.

The copy will be immutable if, and only if, `node` is immutable. However, there should be no need to copy an immutable node.

#### Return value

Type: `JsonNode`

The copied of the given node.

The caller of the method takes ownership of the data, and is responsible for freeing it.